import javax.persistence.*;
import java.util.*;

public class TestClient {
 @PersistenceUnit private static EntityManagerFactory emf;
 public static void main(String[] args) throws Exception {
   if(emf == null) {
       emf = Persistence.createEntityManagerFactory("pu1");
   }
   EntityManager em = emf.createEntityManager();
   em.getTransaction().begin();
   String id0 = args[0];
   String id1 = args[1];
   String id2= args[2];

   // Client
   Client c = new Client();
   c.setClientId(id0);
   c.setClientSSN("111-11-1111");

   // Agent 1
   String id1b = id1 + "b";
   PhoneAgentPK a1PK= new PhoneAgentPK(id1, id1b);
   PhoneAgent a1 = new PhoneAgent();
   a1.setPhoneAgentPK(a1PK);
   a1.setAgentName("Sue");
   a1.setTollPhone("800-111-1111");

   // Agent 2
   String id2b = id2 + "b";
   PhoneAgentPK a2PK= new PhoneAgentPK(id2, id2b);
   PhoneAgent a2 = new PhoneAgent();
   a2.setPhoneAgentPK(a2PK);
   a2.setAgentName("Mary");
   a2.setTollPhone("800-111-1112");

   // Set relationship
   Vector<PhoneAgent> pAgents = new Vector<PhoneAgent>();
   pAgents.add(a1);
   pAgents.add(a2);
   c.setPAgents(pAgents);

   em.persist(a1);
   em.persist(a2);
   em.persist(c);
   System.out.println(c);
   em.getTransaction().commit();
   em.close();
 }
}
